#include <Arduino.h>
#include "simpleota.h"


void setup() {
    Serial.begin(115200);

    Serial.println();
    Serial.println("Initializing");

    checkOTA();
    if(initOTA()) { //initialize ota if ota enabled
      return; //if ota do nothing else for setup
    }
    Serial.println("Booting normal");
    
}


void loop() {
  if (loopOTA()) {
#ifndef OTA_CONTINUOUS
    return; //just wait for ota
#endif
  }

  static unsigned long last_print=0;
  if (millis()-last_print>1000) {
    last_print=millis();
    Serial.print("Loop ");
    Serial.println(last_print);
  } 
    
}
