#ifndef simpleota_h
#define simpleota_h

#include <Arduino.h>
#ifdef ESP32
#include <WiFi.h>
#include <ArduinoOTA.h>
#endif

#ifdef ESP8266
#include <ESP8266WiFi.h>
#include <ESP8266mDNS.h>
#include <WiFiUdp.h>
#include <ArduinoOTA.h>
#endif

#define OTA_WIFI_SSID "ssid"
#define OTA_WIFI_PASSWORD "password"
#define OTA_WAIT_TIMEOUT 100
#define OTA_PASSWORD "MCH2022OTA"

#define OTA_CONTINUOUS

void checkOTA();
bool initOTA();
bool loopOTA();

enum OTA_MODE {
    NONE,
    SEARCHING,
    WAITING,
    UPDATING
};

extern OTA_MODE otaMode;

extern uint16_t otaWaitCounter;

#endif